### Home Classes Methods

### In Files

- lib/json/add/bigdecimal.rb

### Parent

Object

### Methods

- ::json_create
- #as_json
- #to_json

### Files

- README.rdoc

### Class/Module Index

Quicksearch

- JSON
- JSON::Ext
- JSON::GeneratorError
- JSON::GenericObject
- JSON::JSONError
- JSON::MissingUnicodeSupport
- JSON::NestingError
- JSON::ParserError
- JSON::Pure
- JSON::Pure::Generator
- JSON::Pure::Generator::GeneratorMethods
- JSON::Pure::Generator::GeneratorMethods::Array
- JSON::Pure::Generator::GeneratorMethods::FalseClass
- JSON::Pure::Generator::GeneratorMethods::Float
- JSON::Pure::Generator::GeneratorMethods::Hash
- JSON::Pure::Generator::GeneratorMethods::Integer
- JSON::Pure::Generator::GeneratorMethods::NilClass
- JSON::Pure::Generator::GeneratorMethods::Object
- JSON::Pure::Generator::GeneratorMethods::String
- JSON::Pure::Generator::GeneratorMethods::String::Extend
- JSON::Pure::Generator::GeneratorMethods::TrueClass
- JSON::Pure::Generator::State
- JSON::Pure::Parser
- JSON::UnparserError
- BigDecimal
- Class
- Complex
- Date
- DateTime
- Exception
- Kernel
- OpenStruct
- Range
- Rational
- Regexp
- Struct
- Symbol
- Time

No matching classes.

# BigDecimal

### Public Class Methods

json_create(object) click to toggle source

Import a JSON Marshalled object.

method used for JSON marshalling support.

    # File lib/json/add/bigdecimal.rb, line 10
    def self.json_create(object)
      BigDecimal._load object['b']
    end

### Public Instance Methods

as_json(*) click to toggle source

Marshal the object to JSON.

method used for JSON marshalling support.

    # File lib/json/add/bigdecimal.rb, line 17
    def as_json(*)
      {
        JSON.create_id => self.class.name,
        'b'            => _dump,
      }
    end

to_json(*) click to toggle source

return the JSON value

    # File lib/json/add/bigdecimal.rb, line 25
    def to_json(*)
      as_json.to_json
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.